/***************************************************************************
 *   Copyright (C) 2003-2005 by liuspider                                  *
 *   liuspider@users.sourceforge.net                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "scimhelpdialog.h"
#include <klocale.h>

ScimHelpDialog::ScimHelpDialog(QWidget *parent, const char *name)
 : KAboutDialog(KAboutDialog::AbtTabbed, name, KDialogBase::Close, KDialogBase::Close, parent)
{
    generalPage = addContainerPage( i18n("&General") );
    generalBrowser = new QTextBrowser(generalPage);
    //FIXME: the line below does NOT take effect
    generalBrowser->setSizePolicy( QSizePolicy( QSizePolicy::Expanding, QSizePolicy::Expanding, 0, 0 ) );
    generalBrowser->setMinimumSize(600, 500);
    generalPage->addWidget(generalBrowser);
}

void ScimHelpDialog::setGeneralInfo(QString info)
{
    generalBrowser->setText( info );
}
ScimHelpDialog::~ScimHelpDialog()
{
}


#include "scimhelpdialog.moc"
